Bug 1704799 (CVE-2019-10245) - CVE-2019-10245 IBM JDK: Read beyond the end of bytecode array causing JVM crash
Summary: CVE-2019-10245 IBM JDK: Read beyond the end of bytecode array causing JVM crash
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-10245
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1704238 1704239 1704240 1704241 1704242 1704243 1704244 1704245 1708139
Blocks: 1693469
TreeView+ depends on / blocked
 
Reported: 2019-04-30 14:27 UTC by Tomas Hoger
Modified: 2019-09-29 15:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 21:18:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1163 None None None 2019-05-13 21:07:49 UTC
Red Hat Product Errata RHSA-2019:1164 None None None 2019-05-13 21:08:02 UTC
Red Hat Product Errata RHSA-2019:1165 None None None 2019-05-13 21:08:12 UTC
Red Hat Product Errata RHSA-2019:1166 None None None 2019-05-13 21:08:22 UTC
Red Hat Product Errata RHSA-2019:1238 None None None 2019-05-16 13:25:42 UTC
Red Hat Product Errata RHSA-2019:1325 None None None 2019-06-04 13:24:52 UTC

Description Tomas Hoger 2019-04-30 14:27:15 UTC
IBM JDK 7 SR10 FP45 (7.0.10.45), 7.1 SR4 FP45 (7.1.4.45), and 8 SR5 FP35 (8.0.5.35) fix a flaw described by upstream as:

Eclipse OpenJ9 is vulnerable to a denial of service, caused by the execution of a method past the end of bytecode array by the Java bytecode verifier. A remote attacker could exploit this vulnerability to cause the application to crash.

OpenJ9 upstream bug:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=545588

OpenJ9 upstream merge requests:

https://github.com/eclipse/openj9/pull/5528
https://github.com/eclipse/openj9/pull/5529

References:

https://www-01.ibm.com/support/docview.wss?uid=ibm10882850
https://developer.ibm.com/javasdk/support/security-vulnerabilities/#IBM_Security_Update_April_2019

Comment 1 errata-xmlrpc 2019-05-13 21:07:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:1163 https://access.redhat.com/errata/RHSA-2019:1163

Comment 2 errata-xmlrpc 2019-05-13 21:08:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:1164 https://access.redhat.com/errata/RHSA-2019:1164

Comment 3 errata-xmlrpc 2019-05-13 21:08:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:1165 https://access.redhat.com/errata/RHSA-2019:1165

Comment 4 errata-xmlrpc 2019-05-13 21:08:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2019:1166 https://access.redhat.com/errata/RHSA-2019:1166

Comment 5 errata-xmlrpc 2019-05-16 13:25:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1238 https://access.redhat.com/errata/RHSA-2019:1238

Comment 6 errata-xmlrpc 2019-06-04 13:24:51 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 5.8

Via RHSA-2019:1325 https://access.redhat.com/errata/RHSA-2019:1325


Note You need to log in before you can comment on or make changes to this bug.